Provider (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.types.spi, class: Provider

# Class Provider

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.spi.Provider

All Implemented Interfaces:
  `Cloneable`

public class Provider extends ProjectComponent
ANT Jar-Task SPI extension This class corresponds to the nested element <provider type="type"> in the <service type=""> nested element of the jar task.

See Also:
  - https://issues.apache.org/bugzilla/show_bug.cgi?id=31520

- ## Field Summary

  ### Fields inherited from class ProjectComponent

  `description, location, project`
  Modifier and Type
  Field
  Description
  `protected String`
  `description`
  Deprecated.
  since 1.6.x.
  `protected Location`
  `location`
  Deprecated.
  since 1.6.x.
  `protected Project`
  `project`
  Deprecated.
  since 1.6.x.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Provider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `check()`
  Check if the component has been configured correctly.
  `String`
  `getClassName()`
  `void`
  `setClassName(String type)`
  Set the provider classname.

  ### Methods inherited from class ProjectComponent

  `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`
  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `String`
  `getDescription()`
  Returns the description of the current action.
  `Location`
  `getLocation()`
  Returns the file/location where this task was defined.
  `Project`
  `getProject()`
  Returns the project to which this component belongs.
  `void`
  `log(String msg)`
  Logs a message with the default (INFO) priority.
  `void`
  `log(String msg, int msgLevel)`
  Logs a message with the given priority.
  `void`
  `setDescription(String desc)`
  Sets a description of the current action.
  `void`
  `setLocation(Location location)`
  Sets the file/location where this task was defined.
  `void`
  `setProject(Project project)`
  Sets the project object of this component.

  ### Methods inherited from class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Provider

    public Provider()

- ## Method Details

  - ### getClassName

    public String getClassName()
    Returns:
      the class name for

  - ### setClassName

    public void setClassName(String type)
    Set the provider classname.
    Parameters:
      `type` - the value to set.

  - ### check

    public void check()
    Check if the component has been configured correctly.